Images
- POST /images/iso/deleteiso
Delete ISO image
Delete an ISO image from the system
- Status Codes:
200 OK – Success response
400 Bad Request – Invalid request payload
500 Internal Server Error – Internal server error
- POST /images/iso/getIsoById
Get ISO by ID
Retrieve ISO image details by ID
- Status Codes:
200 OK – Success response
400 Bad Request – Invalid request payload
500 Internal Server Error – Internal server error
- POST /images/iso/getisoid
Get ISO ID
Retrieve the ID of an ISO image by name or criteria
- Status Codes:
200 OK – Success response
400 Bad Request – Invalid request payload
500 Internal Server Error – Internal server error
- POST /images/iso/listdomain
List domain ISOs
Get all ISOs owned by the caller’s tenant domain
- Status Codes:
200 OK – Success response
401 Unauthorized – Unauthorized
500 Internal Server Error – Internal server error
- POST /images/iso/listisos
List ISO images
Get a list of all available ISO images
- Status Codes:
200 OK – Success response
400 Bad Request – Invalid request payload
500 Internal Server Error – Internal server error
- POST /images/iso/registeriso
Register ISO image
Register a new ISO image with system
- Status Codes:
200 OK – Success response
400 Bad Request – Invalid request payload
500 Internal Server Error – Internal server error
- POST /images/iso/upload
Upload ISO image
Upload a new ISO image file to the system
- Status Codes:
200 OK – Success response
400 Bad Request – Invalid request payload
500 Internal Server Error – Internal server error
- POST /images/kubernetes/version/add
Register Kubernetes supported version
Register a k8s/CKS supported version, guarded exactly-once across mgmt servers
- Status Codes:
200 OK – Version already registered
201 Created – Version registered
400 Bad Request – Invalid request payload
401 Unauthorized – Unauthorized
500 Internal Server Error – Internal server error
- POST /images/ostypes/list
List OS types
Retrieve a list of all available OS types
- Status Codes:
200 OK – Success response
400 Bad Request – Invalid request payload
500 Internal Server Error – Internal server error
- POST /images/template/create
Create template
Create a new VM template from an existing snapshot or volume
- Status Codes:
200 OK – Success response
400 Bad Request – Invalid request payload
500 Internal Server Error – Internal server error
- POST /images/template/delete
Delete template
Delete a VM template by ID
- Status Codes:
200 OK – Success response
400 Bad Request – Invalid request payload
500 Internal Server Error – Internal server error
- POST /images/template/getbyid
Get template by ID
Retrieve VM template details by unique identifier
- Status Codes:
200 OK – Success response with template details
400 Bad Request – Invalid request payload
404 Not Found – Template not found
500 Internal Server Error – Internal server error
- POST /images/template/getid
Get template ID
Retrieve the ID of a template by name or criteria
- Status Codes:
200 OK – Success response with template ID
400 Bad Request – Invalid request payload
404 Not Found – Template not found
500 Internal Server Error – Internal server error
- POST /images/template/list
List templates
Retrieve a list of all available VM templates
- Status Codes:
200 OK – Success response
400 Bad Request – Invalid request payload
500 Internal Server Error – Internal server error
- POST /images/template/listdomain
List domain templates
Get all templates owned by the caller’s tenant domain
- Status Codes:
200 OK – Success response
401 Unauthorized – Unauthorized
500 Internal Server Error – Internal server error
- POST /images/template/register
Register template
Register a new VM template with the system
- Status Codes:
200 OK – Success response
400 Bad Request – Invalid request payload
500 Internal Server Error – Internal server error
- POST /images/template/upload
Upload template
Upload a new VM template file to the system
- Status Codes:
200 OK – Success response
400 Bad Request – Invalid request payload
500 Internal Server Error – Internal server error